#!/bin/bash

# uninstall logic for Mindtime Online Backup PC Manager 6.21.2.0
# The root privilege is required to uninstall the application

###############################################################################
#             S H U T - D O W N                 S E R V I C E S               #
###############################################################################

# Shutdown Scheduler
if [ -e "/Applications/Mindtime PC Backup/ipc/Scheduler/running" ]; then
    echo "Shutdown Scheduler for Mindtime Online Backup PC Manager"
    touch "/Applications/Mindtime PC Backup/ipc/Scheduler/stop"
    echo "Wait 5 seconds before Scheduler exits"
    sleep 5
fi

# Shutdown AutoUpdateAgent
if [ -e "/Applications/Mindtime PC Backup/aua/bin" ]; then
    echo "Shutdown AutoUpdateAgent for Mindtime Online Backup PC Manager"
    sh "/Applications/Mindtime PC Backup/aua/bin/shutdown.sh"
    echo "Wait 5 seconds before AutoUpdateAgent exits"
    sleep 5
fi

###############################################################################
#        T A S K K I L L       A L L      J A V A       P R O C E S S         #
###############################################################################

# Kill all running process
sh "/Applications/Mindtime PC Backup/bin/taskkill" "/Applications/Mindtime PC Backup/BackupManager.app"
sh "/Applications/Mindtime PC Backup/bin/taskkill" "/Applications/Mindtime PC Backup/bin/BackupManager.app"
sh "/Applications/Mindtime PC Backup/bin/taskkill" "/Applications/Mindtime PC Backup/jvm/bin/java"
sh "/Applications/Mindtime PC Backup/bin/taskkill" "/Applications/Mindtime PC Backup/aua/jvm/bin/java"

###############################################################################
#                 R E M O V E                   S E R V I C E S               #
###############################################################################

# Remove Scheduler
if [ -e "/Library/StartupItems/MindtimePCBackup" ]; then
    echo "Remove Scheduler for Mindtime Online Backup PC Manager from service"
    rm -rf "/Library/StartupItems/MindtimePCBackup"
fi

# Remove AutoUpdateAgent
if [ -e "/Library/StartupItems/MindtimePCBackup-AutoUpdate" ]; then
    echo "Remove AutoUpdateAgent for Mindtime Online Backup PC Manager from service"
    rm -rf "/Library/StartupItems/MindtimePCBackup-AutoUpdate"
fi

###############################################################################
#      R E M O V E        U S E R         D E S K T O P      L I N K          #
###############################################################################

# Remove Desktop Symbolic Link
find /Users -name Desktop -type d -maxdepth 3 -mindepth 2 | while read DESKTOP_PATH;
do
    if [ -e "${DESKTOP_PATH}/MindtimePCBackup" ]; then
        echo "Remove Desktop Link MindtimePCBackup from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/MindtimePCBackup"
        echo "Removed Mindtime Online Backup PC Manager Desktop Link"
    fi

    if [ -e "${DESKTOP_PATH}/Mindtime PC Backup" ]; then
        echo "Remove Desktop Link Mindtime PC Backup from path ${DESKTOP_PATH}"
        rm -f "${DESKTOP_PATH}/Mindtime PC Backup"
        echo "Removed Mindtime Online Backup PC Manager Desktop Link"
    fi
done

###############################################################################
#        R E M O V E           A P P L I C A T I O N           H O M E        #
###############################################################################

# Remove Mindtime Online Backup PC Manager
cd /
if [ -e "/Applications/Mindtime PC Backup" ]; then
    echo "Remove Mindtime Online Backup PC Manager from Your Mac OS X"
    rm -rf "/Applications/Mindtime PC Backup"
fi

###############################################################################
#        R E M O V E             M A C     O S        R E C E I P T S         #
###############################################################################

# Remove Mac OS X Receipts
if [ -e "/Library/Receipts/acb.pkg" ]; then
    echo "Remove Mac OS X Receipt for acb.pkg (Path: /Library/Receipts/acb.pkg)"
    rm -rf "/Library/Receipts/acb.pkg"
fi
